Skip to content

# API Controllers

class terminusgps.authorizenet.controllers.AuthorizenetControllerExecutor

  Allows objects to use `execute_controller()` to execute Authorizenet API controllers.

  static execute_controller(controller: APIOperationBase) → dict | None

    Executes an Authorizenet API controller and returns its response.

    Parameters:

      controller (`APIOperationBase`) – An Authorizenet API controller.

    Raises:

      AuthorizenetControllerExecutionError – If the API call fails.

    Returns:

      An Authorizenet API response, if any.

    Return type:

      `dict` | `None`

exception terminusgps.authorizenet.controllers.AuthorizenetControllerExecutionError(message: str, code: str, *args, **kwargs)

  Raised when an Authorizenet API controller fails to execute.